Page MenuHomePhabricator

Create tag list / tokenizer / capsule controls widget
Closed, ResolvedPublic

Description

We have a custom implementation in VE-MW settings for adding categories, but this should be genericised and improved. Phabricator's widget is a pretty good implementation to copy:

Related Objects

StatusAssignedTask
OpenNone
Declinedmatmarex
Resolvedmatmarex
Resolved Jdlrobson
OpenNone
OpenNone
ResolvedEsanders
OpenNone
OpenNone
OpenNone
ResolvedFlorian
ResolvedEsanders
ResolvedEsanders
OpenNone
ResolvedPrtksxna
ResolvedPrtksxna
Resolvedmatmarex
OpenNone
Resolvedmatmarex
OpenNone
Resolvedmatmarex
Invalidmatmarex
Resolvedmatmarex
OpenNone
ResolvedPrtksxna
ResolvedAnomie

Event Timeline

Esanders created this task.Feb 1 2015, 9:29 PM
Esanders updated the task description. (Show Details)
Esanders raised the priority of this task from to Needs Triage.
Esanders added a project: OOUI.
Esanders added a subscriber: Esanders.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 1 2015, 9:29 PM
Jdforrester-WMF triaged this task as Normal priority.Feb 2 2015, 3:36 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
matmarex renamed this task from Create tag list / tokenizer widget to Create tag list / tokenizer / capsule controls widget.EditedFeb 19 2015, 9:15 PM
matmarex set Security to None.

Apparently has a design proposed way back. https://trello.com/c/eAl3YdVu/32-capsule-controls

Anomie added a subscriber: Anomie.Apr 10 2015, 2:34 PM

Phabricator's widget is a pretty good implementation to copy

Except for the part where it only shows you 5 possibilities, so if you want to browse the available options you're out of luck. When there's a known list of values I'd rather see something that displays the full (filtered) list in the popup instead of the top 5.

Phabricator's widget is a pretty good implementation to copy

Except for the part where it only shows you 5 possibilities

Yes, poorly-configured widgets suck. However, I don't see anyone suggesting we should configure it the same way in real-world applications as Phabricator's maintainers have.

I needed one of these for my other job this week. Selectize.js is an outstanding choice if we can get over the NIH.

There's also select2.

Note that select2 is already being used in 2 extensions:

Semantic Forms: rESFO396bacb6bd5d555821c274760993b54d5d32dbf0
fundraising?: rWFDB8ff1cd8e1c1b1257a3c01e268799737207dd8f0b

is it worth adding to MediaWiki core?

MediaWiki core has Chosen, which is yet another implementation of the same thing. It is used at least by some OpenStackManager stuff.

Change 224966 had a related patch set uploaded (by Anomie):
Add a capsule select widget

https://gerrit.wikimedia.org/r/224966

Jdforrester-WMF moved this task from Backlog to Doing on the OOUI board.Jul 30 2015, 12:48 AM
Jdforrester-WMF assigned this task to Anomie.

Change 224966 merged by jenkins-bot:
CapsuleMultiSelectWidget: Introduce

https://gerrit.wikimedia.org/r/224966

Jdforrester-WMF closed this task as Resolved.Aug 10 2015, 3:01 PM
Jdforrester-WMF edited projects, added OOjs-UI-next-release; removed Patch-For-Review.
Jdforrester-WMF moved this task from Doing to Reviewing on the OOUI board.Aug 26 2015, 1:38 AM
Danny_B moved this task from Unsorted to OOUI on the UI-Standardization board.May 20 2016, 8:59 PM